<?php
 // --- Saisie d'une chaîne ---
 echo "---fscanf---".PHP_EOL; 
 echo "Entrez une chaîne : "     ;
 fscanf(STDIN,"%s",$chaine)        ;
 echo "Chaîne saisie    : ".$chaine.PHP_EOL ;
 echo "Code ASCII du premier caractère : ".ord($chaine).PHP_EOL ;

 echo "---ctype_alnum---".PHP_EOL; 
 if (ctype_alnum($chaine)) echo "La chaine $chaine est alphanumérique".PHP_EOL;
 else echo "La chaine $chaine n'est pas alphanumérique".PHP_EOL;

 echo "---ctype_alpha---".PHP_EOL; 
 if (ctype_alpha($chaine)) echo "La chaine $chaine est alphabétique".PHP_EOL;
 else echo "La chaine $chaine n'est pas alphabétique".PHP_EOL;

 echo "---ctype_lower---".PHP_EOL; 
 if (ctype_lower($chaine)) echo "La chaine $chaine est minuscule".PHP_EOL;
 else echo "La chaine $chaine n'est pas minuscule".PHP_EOL;

 // --- Saisie d'une chaîne ---
 echo "---fscanf---".PHP_EOL; 
 echo "Entrez une chaîne avec des balises HTML : "     ;
 fscanf(STDIN,"%s",$chaine)        ; 
 echo "htmlspecialchars($chaine)=".htmlspecialchars($chaine).PHP_EOL;
 echo "strip_tags($chaine)=".strip_tags($chaine).PHP_EOL;

 echo "---ctype_cntrl, ctype_print, ctype_graph---".PHP_EOL; 
 // --- Vérification des caractères de contrôle ---
 $chaine="\f\t";
 if (ctype_cntrl($chaine))
   echo 'La chaine >>>\f\t<<< contient des caractères de contrôle'.PHP_EOL;
 else
   echo 'La chaine >>>\f\t<<< ne contient pas des caractères de contrôle'.PHP_EOL;
 // --- Vérification d'un caractère imprimable --- 
 if (ctype_print($chaine))
   echo 'La chaine >>>\f\t<<< est imprimable'.PHP_EOL;
 else
   echo 'La chaine >>>\f\t<<< n\'est pas imprimable'.PHP_EOL;
 // --- Vérification d'un caractère graphique imprimable --- 
 if (ctype_graph($chaine))
   echo 'La chaine >>>\f\t<<< est imprimable'.PHP_EOL;
 else
   echo 'La chaine >>>\f\t<<< n\'est pas imprimable'.PHP_EOL;
   
 echo "---convert_uuencode et convert_uudecode---".PHP_EOL;   
 $texte="Hello";
 echo "convert_uuencode($texte)=".convert_uuencode($texte);
 echo "convert_uudecode(\"%2&5L;&\`\")=".convert_uudecode("%2&5L;&\`").PHP_EOL;

 echo "---count_chars---".PHP_EOL; 
 $texte = "bonjour comment ca va";
 echo '$texte ='.$texte.PHP_EOL;
 foreach (count_chars($texte, 1) as $i => $valeur)
 {
   echo "Il y a $valeur occurrence(s) de \"" , chr($i) , "\" dans la phrase.\n";
 }
 echo "---crypt---".PHP_EOL; 
 $motdepassword = crypt('Mot_de_Passe');
 echo "crypt('Mot_de_Passe')=".$motdepassword.PHP_EOL;
 echo "---md5---".PHP_EOL; 
 $motdepassword = md5('Mot_de_Passe');
 echo "md5('Mot_de_Passe')=".$motdepassword.PHP_EOL;

 echo "---explode---".PHP_EOL; 
 $chaine  = "texte1;texte2;texte3;texte4";
 $tab = explode(";", $chaine);
 foreach ($tab as $i => $valeur)
 {
   echo "$i : $valeur".PHP_EOL;
 }
 echo "---implode---".PHP_EOL; 
 $tab2=array('dupont','jean','jacques');
 $ch = implode(",", $tab2);
 echo $ch.PHP_EOL;
 
 echo "---lcfirst---".PHP_EOL; 
 $ch = lcfirst("BONJOUR");
 echo $ch.PHP_EOL;
 
 echo "---setlocale---".PHP_EOL; 
 setlocale(LC_ALL, 'fr_FR');
 echo "---localeconv---".PHP_EOL; 
 $infos_locales = localeconv();
 print_r($infos_locales);

 echo "---ltrim---".PHP_EOL; 
 $ch1 = "\t\tquelques mots !  ";
 $ch2  = "    Bonjour";
 var_dump($ch1, $ch2);
 $trimch1 = ltrim($ch1);
 var_dump($trimch1);
 $trimch2 = ltrim($ch2);
 var_dump($trimch2);
 
 echo "---trim---".PHP_EOL; 
 $ch1 = "\t\tquelques mots !  ";
 $ch2  = "    Bonjour";
 var_dump($ch1, $ch2);
 $trimch1 = trim($ch1);
 var_dump($trimch1);
 $trimch2 = trim($ch2);
 var_dump($trimch2);

 echo "---money_format---".PHP_EOL; 
 $val = 1234.5672;
 $ch=money_format('%#5.2n',$val);
 echo $ch.PHP_EOL;

 echo "---number_format---".PHP_EOL; 
 $ch=number_format($val,2,","," ")."&euro;";
 echo $ch.PHP_EOL;
 
 echo "---nl2br---".PHP_EOL; 
 echo nl2br("c'est\npratique\n");

 echo "---sprintf---".PHP_EOL; 
 $ch=sprintf("somme:%s",$val);
 echo $ch.PHP_EOL;

 echo "---sscanf---".PHP_EOL;
 $date="03/02/2015";
 sscanf($date,"%d/%d/%d",$j,$m,$a);
 echo $date.PHP_EOL;
 echo "jour =".$j.PHP_EOL;
 echo "mois =".$m.PHP_EOL;
 echo "annee=".$a.PHP_EOL;
 
 echo "---str_repeat---".PHP_EOL;
 echo str_repeat("AB",5);
 echo PHP_EOL;

 echo "---str_replace---".PHP_EOL;
 $voyelles = array("a","e","i","o","u","A","E","I","O","U");
 $sansvoyelle=str_replace($voyelles,"", "Bonjour");
 echo $sansvoyelle.PHP_EOL;

 echo "---strcmp---".PHP_EOL;
 $ch1 = "Bonjour";
 $ch2 = "bonjour";
 if (strcmp($ch1, $ch2) != 0)
 {
    echo "$ch1 n'est pas égal à $ch2".PHP_EOL;
 }
 echo "---strlen---".PHP_EOL;
 $taille=strlen($ch1);
 echo "longueur de $ch1 : ".$taille.PHP_EOL;
 
 echo "---strpos---".PHP_EOL;
 $chaine = 'ABCDEFabcdef';
 $ch1   = 'Fa';
 $pos = strpos($chaine,$ch1);
 echo "$ch1 position: $pos dans $chaine".PHP_EOL;

 echo "---strstr---".PHP_EOL;
 $courriel  = 'Jean@cnam.fr';
 $domaine = strstr($courriel, '@');
 echo "Courriel:$courriel, Domaine=$domaine".PHP_EOL;

 echo "---strtolower---".PHP_EOL;
 $ch  = 'BONJOUR';
 $chlower = strtolower($ch);
 echo "$ch en minuscules : $chlower".PHP_EOL;

 echo "---ucfirst---".PHP_EOL;
 $ch='bonjour ca va';
 $chu=ucfirst($ch);
 echo "|$ch| première majuscule : $chu".PHP_EOL;
 
 echo "---ucwords---".PHP_EOL;
 $ch='bonjour ca va';
 $chu=ucwords($ch);
 echo "|$ch| premières majuscules : $chu".PHP_EOL;
 
 echo "---strtoupper---".PHP_EOL;
 $ch='bonjour';
 $chlupper=strtoupper($ch);
 echo "$ch en majuscules : $chlupper".PHP_EOL;

 echo "---strtr---".PHP_EOL;
 $ch="azagat";
 echo "AVANT : $ch".PHP_EOL;
 $ch = strtr($ch,"a", "A");
 echo "APRES : $ch".PHP_EOL;

 echo "---substr---".PHP_EOL;
 $ch="abcdefgh";
 $reste=substr($ch,3,2);
 echo "sous-chaîne de $ch de 3 sur 2 = $reste".PHP_EOL;
 
 echo "---parse_str---".PHP_EOL;
 $ch = "premier=valeur&tab[]=un+deux&tab[]=trois";
 parse_str($ch, $sortie);
 echo '$ch='.$ch.PHP_EOL;
 echo '$sortie[\'premier\']='.$sortie['premier'].PHP_EOL; 
 echo '$sortie[\'tab\'][0]='.$sortie['tab'][0].PHP_EOL; 
 echo '$sortie[\'tab\'][1]='.$sortie['tab'][1].PHP_EOL; 
 
 echo "---preg_replace---".PHP_EOL;
 $saisie_init  = "ceci    est     un     exemple     d'espaces       multiples";
 $saisie_traite= preg_replace('/\s{2,}/', ' ', $saisie_init);
 echo "Chaîne avec espace multiples:".PHP_EOL;
 echo "|$saisie_init|".PHP_EOL;
 echo "après traitement avec preg_replace :".PHP_EOL;
 echo "|$saisie_traite|".PHP_EOL;
 
 echo "---addslashes---".PHP_EOL;
 $ch="Aujourd'hui";
 $res=addslashes($ch); // Aujourd\'hui
 echo "res=$res\n";
 
 echo "---stripslashes---".PHP_EOL;
 $ch2=stripslashes($res); // Aujourd\'hui
 echo "ch2=$ch2\n";
 
 
?>
